- API reference
- Contacts
- Return a contact
https://api.us.nylas.com/v3/grants/{grant_id}/contacts/{contact_id}Return a contact
Return a contact by ID.
Path parameters
ID of the grant to access. Use /me/ to refer to the grant associated with an access token.
ID of the contact to access. Nylas recommends you URL-encode this field, or you might receive
a 404 error if the ID contains special characters (for
example, #).
Query parameters
Specify fields that you want Nylas to return, as a comma-separated list (for example,
select=id,updated_at). This allows you to receive only the portion of object data that you're
interested in. You can use select to optimize response size and reduce latency by limiting queries
to only the information that you need.
If true and picture_url is present, the response includes a Base64 binary data blob that you can use to view information as an image file (for example, a JPEG). See Contacts limitations for provider support.
"1980-12-31"company_namestringThe name of the company that the contact is affiliated with (for example, their workplace).
"Nylas"emailsarray<object>nullableThe contact's email addresses. May be null if the contact has no email addresses. Treat null the same as an empty array.
"41009df5-bf11-4c97-aa18-b285b5f2e386"groupsarray<object>nullableThe contact's explicit provider-backed group memberships. Address-book containers and aggregate
views such as iCloud All Contacts are not groups. May be null if the contact has no group
memberships. Treat null the same as an empty array.
id*stringA globally unique object identifier for Microsoft accounts. An email address for Google accounts.
"5d3qmne77v32r8l4phyuksl2x, [email protected]"idstringA globally unique object identifier for Microsoft accounts. An email address for Google accounts.
"5d3qmne77v32r8l4phyuksl2x, [email protected]"manager_namestringThe name of the contact's manager. Native iCloud and Yahoo CardDAV contacts don't support this field. See Contacts limitations for more information.
"Bill"office_locationstringThe location of the office where the contact works. Native iCloud and Yahoo CardDAV contacts don't support this field. See Contacts limitations for more information.
"123 Main Street"phone_numbersarray<object>nullableThe contact's phone numbers. May be null if the contact has no phone numbers. Treat null the same as an empty array.
"+1-555-555-5555"physical_addressesarray<object>nullableThe contact's physical addresses. May be null if the contact has no physical addresses. Treat null the same as an empty array.
picture_urlstringA URL that links to the contact's picture. Native iCloud and Yahoo CardDAV contacts don't support profile pictures. See Contacts limitations for more information.
"https://example.com/picture.jpg"sourcestringThe source of the contact. See Contact sources for provider-specific availability and behavior.
"address_book"picturestringThe contact's picture, represented as a Base64-encoded string. Native iCloud and Yahoo CardDAV contacts don't support profile pictures. See Contacts limitations for more information.
"/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHR..."Rate limited. The provider or Nylas throttled the request. If a provider throttles a request and
says how long to wait, the Retry-After header gives that number of seconds. When the header
is missing, retry with exponential backoff. See
429 rate limit errors by provider.